	COMMON /errno_/
.2:
	DS 2
	CSEG
	COMMON /Sysvec_/
.3:
	DS 8
	CSEG
	COMMON /Cbuffs_/
.4:
	DS 121
	CSEG
	COMMON /Stdbufs_/
.5:
	DS 2
	CSEG
	COMMON /condev_/
.6:
	DS 6
	CSEG
	COMMON /bdosout_/
.7:
	DS 6
	CSEG
	COMMON /bdosin_/
.8:
	DS 6
	CSEG
	COMMON /filedev_/
.9:
	DS 6
	CSEG
	COMMON /devtabl_/
.10:
	DS 66
	CSEG
	COMMON /chantab_/
.11:
	DS 88
	CSEG
	COMMON /errno_/
	DS 2
	CSEG
	COMMON /dmaaddr_/
.12:
	DW 128
	CSEG
	PUBLIC WarmBoot_
WarmBoot_:	CALL .zsav##
	DW .13
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.13 EQU 0
	PUBLIC ConIn_
ConIn_:	CALL .zsav##
	DW .14
	LXI H,0
	PUSH H
	LXI H,1
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.14 EQU 0
	PUBLIC ConOut_
ConOut_:	CALL .zsav##
	DW .15
	LXI H,0
	PUSH H
	LXI H,14-.15
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,2
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	POP D
	RET
.15 EQU 0
	PUBLIC ReaderIn_
ReaderIn_:	CALL .zsav##
	DW .16
	LXI H,0
	PUSH H
	LXI H,3
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.16 EQU 0
	PUBLIC PunchOut_
PunchOut_:	CALL .zsav##
	DW .17
	LXI H,12-.17
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,4
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.17 EQU 0
	PUBLIC ListOut_
ListOut_:	CALL .zsav##
	DW .18
	LXI H,12-.18
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,5
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.18 EQU 0
	PUBLIC DirectIO_
DirectIO_:	CALL .zsav##
	DW .19
	LXI H,12-.19
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,6
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.19 EQU 0
	PUBLIC PrintStr_
PrintStr_:	CALL .zsav##
	DW .20
	LXI H,12-.20
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,9
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.20 EQU 0
	PUBLIC BufConIn_
BufConIn_:	CALL .zsav##
	DW .21
	LXI H,12-.21
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,10
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.21 EQU 0
	PUBLIC ConStat_
ConStat_:	CALL .zsav##
	DW .22
	LXI H,0
	PUSH H
	LXI H,11
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.22 EQU 0
	PUBLIC DiskRese_
DiskRese_:	CALL .zsav##
	DW .23
	LXI H,0
	PUSH H
	LXI H,13
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.23 EQU 0
	PUBLIC SelDisk_
SelDisk_:	CALL .zsav##
	DW .24
	LXI H,12-.24
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,14
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.24 EQU 0
	PUBLIC SrchFrst_
SrchFrst_:	CALL .zsav##
	DW .25
	LXI H,12-.25
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,17
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.25 EQU 0
	PUBLIC SrchNext_
SrchNext_:	CALL .zsav##
	DW .26
	LXI H,12-.26
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,18
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.26 EQU 0
	PUBLIC CurDisk_
CurDisk_:	CALL .zsav##
	DW .27
	LXI H,0
	PUSH H
	LXI H,25
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.27 EQU 0
	PUBLIC GetIObyt_
GetIObyt_:	CALL .zsav##
	DW .28
	LXI H,0
	PUSH H
	LXI H,7
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.28 EQU 0
	PUBLIC SetIObyt_
SetIObyt_:	CALL .zsav##
	DW .29
	LXI H,12-.29
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,8
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.29 EQU 0
	PUBLIC SetDMA_
SetDMA_:	CALL .zsav##
	DW .30
	LXI H,12-.30
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	SHLD .12
	LXI H,12-.30
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,26
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.30 EQU 0
	PUBLIC GetDMA_
GetDMA_:	CALL .zsav##
	DW .31
	LHLD .12
	RET
.31 EQU 0
	COMMON /.lnprm/
	DS 4
	END
